package mapper

import (
	"narasi-ahli-be/app/database/entity"
	res "narasi-ahli-be/app/module/master_statuses/response"
)

func MasterStatusesResponseMapper(masterStatusesReq *entity.MasterStatuses) (masterStatusesRes *res.MasterStatusesResponse) {
	if masterStatusesReq != nil {
		masterStatusesRes = &res.MasterStatusesResponse{
			ID:       masterStatusesReq.ID,
			Name:     masterStatusesReq.Name,
			IsActive: masterStatusesReq.IsActive,
		}
	}
	return masterStatusesRes
}
